Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84147 - KDE System Guard frequently crashes
Summary: KDE System Guard frequently crashes
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdebase
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-12 20:16 UTC by Glen
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-12-17 13:38:22 UTC


Attachments (Terms of Use)

Description Glen 2003-02-12 20:16:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020809

Description of problem:
When I try and drag a new sensor over to an empty space on a new sheet, a lot of
the time, System Guard will crash.

Version-Release number of selected component (if applicable):
KDE 3.0.0-10
KDE System Guard 1.2.0

How reproducible:
Sometimes

Steps to Reproduce:
1.Drag a new Sensor over to an empty space on a new sheet.
2.
3.
    

Actual Results:  It crashes sometimes.

Expected Results:  It should have stayed open.

Additional info:

Here's the backtrace:

(no debugging symbols found)...(no debugging symbols found)...[New Thread 1024
(LWP 11643)]

0x420b48b9 in wait4 () from /lib/i686/libc.so.6
#0  0x420b48b9 in wait4 () from /lib/i686/libc.so.6
#1  0x4213030c in __DTOR_END__ () from /lib/i686/libc.so.6
#2  0x40f29c33 in waitpid () from /lib/i686/libpthread.so.0
#3  0x406ac8d2 in KCrash::defaultCrashHandler ()
   from /usr/lib/libkdecore-gcc2.96.so.4
#4  0x40f27f05 in pthread_sighandler () from /lib/i686/libpthread.so.0
#5  <signal handler called>
#6  0x40020a9d in KSGRD::SensorAgent::processAnswer ()
   from /usr/lib/libksgrd-gcc2.96.so
#7  0x4002611b in KSGRD::SensorShellAgent::msgRcvd ()
   from /usr/lib/libksgrd-gcc2.96.so
#8  0x40025a14 in KSGRD::SensorShellAgent::qt_invoke ()
   from /usr/lib/libksgrd-gcc2.96.so
#9  0x409b8ec7 in QObject::activate_signal ()
   from /usr/lib/qt3-gcc2.96/lib/libqt-mt.so.3
#10 0x406541aa in KProcess::receivedStdout ()
   from /usr/lib/libkdecore-gcc2.96.so.4
#11 0x40652dd2 in KProcess::childOutput ()
   from /usr/lib/libkdecore-gcc2.96.so.4
#12 0x40652c30 in KProcess::slotChildOutput ()
   from /usr/lib/libkdecore-gcc2.96.so.4
#13 0x406544ad in KProcess::qt_invoke () from /usr/lib/libkdecore-gcc2.96.so.4
#14 0x40654713 in KShellProcess::qt_invoke ()
   from /usr/lib/libkdecore-gcc2.96.so.4
#15 0x409b8ec7 in QObject::activate_signal ()
   from /usr/lib/qt3-gcc2.96/lib/libqt-mt.so.3
#16 0x409b8fec in QObject::activate_signal ()
   from /usr/lib/qt3-gcc2.96/lib/libqt-mt.so.3
#17 0x40cb227d in QSocketNotifier::activated ()
   from /usr/lib/qt3-gcc2.96/lib/libqt-mt.so.3
#18 0x409d06d7 in QSocketNotifier::event ()
   from /usr/lib/qt3-gcc2.96/lib/libqt-mt.so.3
#19 0x40958ff3 in QApplication::internalNotify ()
   from /usr/lib/qt3-gcc2.96/lib/libqt-mt.so.3
#20 0x40958e8c in QApplication::notify ()
   from /usr/lib/qt3-gcc2.96/lib/libqt-mt.so.3
#21 0x40611f1b in KApplication::notify () from /usr/lib/libkdecore-gcc2.96.so.4
#22 0x408fd5cf in sn_activate () from /usr/lib/qt3-gcc2.96/lib/libqt-mt.so.3
#23 0x408fdeb9 in QApplication::processNextEvent ()
   from /usr/lib/qt3-gcc2.96/lib/libqt-mt.so.3
#24 0x4095a4bc in QApplication::enter_loop ()
   from /usr/lib/qt3-gcc2.96/lib/libqt-mt.so.3
#25 0x408fd637 in QApplication::exec ()
   from /usr/lib/qt3-gcc2.96/lib/libqt-mt.so.3
#26 0x08064c4f in QScrollView::mouseReleaseEvent ()
#27 0x42017589 in __libc_start_main () from /lib/i686/libc.so.6

Comment 1 Glen 2004-12-17 13:38:22 UTC
Seems to work fine on Fedora 3, and 7.3 is getting pretty irrelevant,
so I spose I can just close this one.


Note You need to log in before you can comment on or make changes to this bug.